Subject: Re: Is via-velocity broken in 2.6.34?

From: Robert Hancock <[email-masked]>
Date: Sat, 11 Sep 2010 16:53:18 -0600

On 09/09/2010 01:57 PM, David Miller wrote:
> From: Matt Causey<[email-masked]>
> Date: Thu, 9 Sep 2010 10:42:21 -0700
>
>> So it wasn't immediately intuitive that we would need power
>> management enabled in order to use other parts of the system.
>
> ACPI is not power management.
>
> It's a set of infrastructure (including an interpreter and small
> firmware programs to drive specialized hardware) that allows the
> important details of your motherboard to be described accurately to
> the kernel by firmware authors.
>
> That's why it's called "Advanced Configuration and Power Interface"
> and not just "Advanced Power Interface" :-)
>
> It also provides more accurate tables to describe things like
> the cpus in your system etc., to replace deprecated mechanisms
> for that such as MPS.

I'd think we'd save some trouble if we forced ACPI to on unless EMBEDDED 
was set or something, to indicate you shouldn't turn it off unless you 
really know what you're doing..